import { defineConfig } from '@umijs/max';

export default defineConfig({
  antd: {},
  dva: {},
  access: {},
  model: {},
  initialState: {},
  request: {},
  layout: {
    title: '金科环境数字化平台',
    locale: false,
  },
  proxy: {
    '/api': {
      // target: 'http://47.96.12.136:8788/',
      target: 'http://47.96.12.136:8888/',
      // target: 'http://120.55.44.4:8900/',
      changeOrigin: true,
    },
  },
  routes: [
    {
      path: '/',
      redirect: '/home',
    },
    {
      name: '首页',
      path: '/home',
      component: './Home/index',
      layout: false,
    },
    {
      name: '流程图管理',
      path: '/flow',
      hideChildrenInMenu: true,
      routes: [
        {
          path: '/flow',
          redirect: '/flow/list',
        },
        {
          name: '流程图列表',
          path: '/flow/list',
          component: './Flow/index',
        },
        {
          name: '流程图详情',
          path: '/flow/audit',
          component: './Flow/Audit',
          hideInMenu: true,
        },
      ],
    },
    {
      name: 'OA审批',
      path: '/oa',
      component: './Flow/Oa',
    },
    {
      name: '权限演示',
      path: '/access',
      component: './Access',
    },
    {
      name: 'CRUD 示例',
      path: '/table',
      component: './Table',
    },
    {
      name: '登录',
      path: '/login',
      component: './Login/index',
      layout: false,
    },
    {
      name: '文档管理',
      path: '/fileManagement',
      component: './FileManagement/index',
    },
    {
      name: '合同管理',
      path: '/contract-manager',
      component: './ContractManager/index',
    },
  ],
  npmClient: 'yarn',
});
